<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net8.0</TargetFramework>
    <ImplicitUsings>enable</ImplicitUsings>
    <Nullable>enable</Nullable>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="Microsoft.CodeAnalysis.Common" Version="4.9.2" />
    <PackageReference Include="Microsoft.EntityFrameworkCore" Version="8.0.2" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.SqlServer" Version="8.0.2" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Tools" Version="8.0.2">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="PdfSharp.MigraDoc.Standard" Version="1.51.12" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\SushiBarContracts\SushiBarContracts.csproj" />
    <ProjectReference Include="..\SushiBarDataModels\SushiBarDataModels.csproj" />
  </ItemGroup>

	<Target Name="AfterBuild">
		<Exec Command="copy /Y &quot;$(TargetDir)*.dll&quot; &quot;\SushiBar\ImplementationExtentions&quot;" />
	</Target>

</Project>
